png++ 0.2.10

List of all members
png::pixel_traits< gray_pixel_16 > Struct Reference

Pixel traits specialization for gray_pixel_16. More...

`#include <gray_pixel.hpp>`

Inheritance diagram for png::pixel_traits< gray_pixel_16 >:

## Additional Inherited Members
Public Types inherited from png::basic_pixel_traits< gray_pixel_16, uint_16, color_type_gray >
typedef gray_pixel_16 | pixel_type
typedef uint_16 | component_type
Static Public Member Functions inherited from png::basic_pixel_traits< gray_pixel_16, uint_16, color_type_gray >
static color_type | get_color_type ()
static int | get_channels ()
static int | get_bit_depth ()
Static Public Attributes inherited from png::basic_pixel_traits< gray_pixel_16, uint_16, color_type_gray >
static const int | channels
static const int | bit_depth

## Detailed Description

Pixel traits specialization for gray_pixel_16.

The documentation for this struct was generated from the following file:

- gray_pixel.hpp